<div id="body" class="container-fluid">
  <div class="row">
    <div class="col-24">
      <div class="row">
        <div class="col-md-6">
          <h6 class="mb-3">NGVN</h6>
        </div>
        <div class="col-md-6 offset-md-12">
          <div class="text-right">
            <a target="_blank" rel="noopener noreferrer" href="http://webcontoo.corp.sprint.com/webcontoo/llisapi.dll/fetch/2000/1835597/1836298/14404/106652/106324/107866/106767/6074490/0069795_New_Generation_Voice_Network_Events_in_Comprehensive_Order_Workflow_System_COWS_.pdf?nodeid=6449363&vernum=-2">NGVN Event Job Aid for IPMs/Members</a>
          </div>
        </div>
      </div>
      <h6 class="text-danger" *ngIf="isLocked">This event is currently locked by {{ lockedByUser }}</h6>
      <form [formGroup]="form" novalidate>
        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <!--<div class="form-group form-group-sm col-12 col-md-6 col-lg-4" *ngIf="!isLocked && allowEdit">
        <div *ngIf="editMode; then saveTemplate; else editTemplate;"></div>
        <ng-template #editTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="submit()" [disabled]="form.invalid">
            Save
          </button>
        </ng-template>
      </div>-->
        </div>
        <br />
        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col-24 col-lg-4">Item Title: </label>
            <div class="col-24 col-lg-20 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="itemTitle" />
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-lg-24">
            <label class="col-form-label col-24 col-lg-4">Event <span class="d-inline-block d-lg-none">Desc</span><span class="d-none d-lg-inline-block">Description</span>: </label>
            <div class="col-24 col-lg-20 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="eventDescription" />
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">Event ID: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="eventID" />
            </div>
          </div>
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">Event Status: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <dx-select-box [items]="eventStatusList"
                             displayExpr="description"
                             valueExpr="value"
                             formControlName="eventStatus"></dx-select-box>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8 text-danger">Product Type: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <dx-select-box [items]="ngvnProdTypeList"
                             displayExpr="ngvnProdTypeDes"
                             valueExpr="ngvnProdTypeId"
                             (onValueChanged)="getProdType($event)"
                             formControlName="ngvnProdType"></dx-select-box>
            </div>
          </div>
        </div>
        <br />
        <div class="card mb-3">
          <div class="card-body">
            <mat-accordion>
              <mat-expansion-panel [expanded]="true">
                <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                  <mat-panel-title class="small-header"><h6>Circuit ID NUA</h6></mat-panel-title>
                </mat-expansion-panel-header>
                <dx-data-grid #grid1 id="dgCircuit" [dataSource]="circuitList" keyExpr="eventId"
                              [rowAlternationEnabled]="true" [showBorders]="true" [disabled]="!editMode"
                              (onContentReady)="grid1.instance.searchByText(grid1.searchPanel.text.trim())"
                              >
                  <dxo-sorting mode="multiple"></dxo-sorting>
                  <dxo-editing mode="row"
                               [allowUpdating]="true"
                               [allowDeleting]="true"
                               [allowAdding]="true">
                  </dxo-editing>
                  <dxo-paging [pageSize]="50"></dxo-paging>

                  <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                  <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
                  <dxi-column dataField="cktIdNua" caption="CircuitID NUA" dataType="string"></dxi-column>
                </dx-data-grid>
              </mat-expansion-panel>
            </mat-accordion>
          </div>

          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8">M5 #: </label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <div class="input-group">
                  <input type="text" class="form-control form-control-sm" formControlName="m5_no" (change)="resetAssignee($event)" />
                  <!--<app-lookup-m5 [group]="form" [option]="option.lookup_m5" [eventType]="eventType"></app-lookup-m5>-->
                </div>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8 text-danger">H1: </label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <input type="text" class="form-control form-control-sm" formControlName="h1" (change)="resetAssignee($event)" />
                <div *ngIf="h1.invalid && (h1.dirty || h1.touched || isSubmitted)">
                  <span *ngIf="h1.errors.required" class="form-text text-danger">
                    H1 is required
                  </span>
                  <span *ngIf="h1.errors.invalidH1" class="form-text text-danger">
                    H1 field is not in correct format. H1 should contain 9 digits only.
                  </span>
                </div>
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8">H6: </label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <input type="text" class="form-control form-control-sm" formControlName="h6" (change)="resetAssignee($event)" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8">CharsID: </label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <input type="text" class="form-control form-control-sm" formControlName="charsID" />
              </div>
            </div>
          </div>

        </div>

        <app-customer-template [group]="form.controls.customer" [option]="option.customer" [isSubmitted]="isSubmitted"></app-customer-template>
        <app-requestor-template [group]="form.controls.requestor" [option]="option.requestor" [isSubmitted]="isSubmitted"></app-requestor-template>
        <app-sales-template [group]="form.controls.sales" [option]="option.sales" [isSubmitted]="isSubmitted"></app-sales-template>

        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-2">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Design</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div formGroupName="design">
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-16">
                  <label class="col-form-label col-24 col-lg-6">Published Email CC: </label>
                  <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                    <div class="input-group">
                      <input type="text" class="form-control form-control-sm" formControlName="publishedEmailCC" />
                      <app-user-finder *ngIf="option.design.userFinderForPublishedEmail?.isEnabled" id="published-email"
                                       [group]="form.controls.design" [option]="option.design.userFinderForPublishedEmail"></app-user-finder>
                    </div>
                    <div *ngIf="publishedEmailCC.invalid && (publishedEmailCC.dirty || publishedEmailCC.touched || isSubmitted)">
                      <span *ngIf="publishedEmailCC.errors.invalidEmail" class="form-text text-danger">
                        Published Email CC is invalid
                      </span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-16">
                  <label class="col-form-label col-24 col-lg-6">Completed Email CC: </label>
                  <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                    <div class="input-group">
                      <input type="text" class="form-control form-control-sm" formControlName="completeEmailCC" />
                      <app-user-finder *ngIf="option.design.userFinderForCompleteEmail?.isEnabled" id="complete-email"
                                       [group]="form.controls.design" [option]="option.design.userFinderForCompleteEmail"></app-user-finder>
                    </div>
                    <div *ngIf="completeEmailCC.invalid && (completeEmailCC.dirty || completeEmailCC.touched || isSubmitted)">
                      <span *ngIf="completeEmailCC.errors.invalidEmail" class="form-text text-danger">
                        Completed Email CC is invalid
                      </span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-2">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Event</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div formGroupName="event">
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4 text-danger">Description and Comments: </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <textarea class="form-control form-control-sm" formControlName="comments" rows="5"></textarea>
                    <div *ngIf="comments.invalid && (comments.dirty || comments.touched || isSubmitted)">
                      <span *ngIf="comments.errors.required" class="form-text text-danger">
                        Description and Comments is required
                      </span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4 text-danger">GSR Configuration: </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <textarea class="form-control form-control-sm" formControlName="gsrConfiguration" rows="5"></textarea>
                    <div *ngIf="gsrConfiguration.invalid && (gsrConfiguration.dirty || gsrConfiguration.touched || isSubmitted)">
                      <span *ngIf="gsrConfiguration.errors.required" class="form-text text-danger">
                        GSR Configuration is required
                      </span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4 text-danger">Cable ADD Due Date: </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <dx-date-box type="date"
                                 [acceptCustomValue]="false"
                                 displayFormat="MM/dd/yyyy"
                                 width="100%"
                                 [useMaskBehavior]="true"
                                 formControlName="cableAddDueDate"
                                 (onValueChanged)="setCableAddDueDate()">
                    </dx-date-box>
                    <div *ngIf="cableAddDueDate.invalid && (cableAddDueDate.dirty || cableAddDueDate.touched || isSubmitted)">
                      <span *ngIf="cableAddDueDate.errors.required" class="form-text text-danger">
                        Cable ADD Due Date is required
                      </span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4 text-danger">Cable Protocol Type: </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <dx-radio-group [items]="cableProtocolTypeList" layout="horizontal"
                                    displayExpr="description" valueExpr="value"
                                    formControlName="cableProtocolType"
                                    (onValueChanged)="onCableProtocolTypeChanged($event)">
                    </dx-radio-group>
                    <div *ngIf="cableProtocolType.invalid && (cableProtocolType.dirty || cableProtocolType.touched || isSubmitted)">
                      <span *ngIf="cableProtocolType.errors.required" class="form-text text-danger">
                        Cable Protocol Type is required
                      </span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4 text-danger">SBC Pair: </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="sbcPair" />
                    <div *ngIf="sbcPair.invalid && (sbcPair.dirty || sbcPair.touched || isSubmitted)">
                      <span *ngIf="sbcPair.errors.required" class="form-text text-danger">
                        SBC Pair is required
                      </span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4 text-danger">Related Compass NCR: </label>
                  <div class="col-24 col-lg-6">
                    <dx-radio-group [items]="relatedCompassList" layout="horizontal"
                                    displayExpr="description" valueExpr="value"
                                    formControlName="relatedCompassNcr">
                    </dx-radio-group>
                    <div *ngIf="relatedCompassNcr.invalid && (relatedCompassNcr.dirty || relatedCompassNcr.touched || isSubmitted)">
                      <span *ngIf="relatedCompassNcr.errors.required" class="form-text text-danger">
                        Related CompassNCR is required
                      </span>
                    </div>
                    <div *ngIf="getFormControlValue('event.relatedCompassNcr')">
                      <input type="text" class="form-control form-control-sm" formControlName="relatedCompassNcrNme" [disabled]="!editMode" />
                    </div>
                  </div>
                </div>
              </div>

              <div *ngIf="getFormControlValue('event.cableProtocolType') == 'SIP'" class="form-row">
                <div class="card mb-3">
                  <mat-accordion>
                    <mat-expansion-panel [expanded]="true">
                      <mat-expansion-panel-header>
                        <mat-panel-title class="small-header"><h6>Trunk Table</h6></mat-panel-title>
                      </mat-expansion-panel-header>
                      <div class="mb-3">
                        <dx-data-grid #grid2 id="dgTrunkTable" [dataSource]="siptTrunkList" keyExpr="eventId"
                                      [rowAlternationEnabled]="true" [showBorders]="true" [disabled]="!editMode"
                                      (onContentReady)="grid2.instance.searchByText(grid2.searchPanel.text.trim())"
                                      >
                          <dxo-sorting mode="multiple"></dxo-sorting>
                          <dxo-editing mode="row"
                                       [allowUpdating]="true"
                                       [allowDeleting]="true"
                                       [allowAdding]="true">
                          </dxo-editing>
                          <dxo-paging [pageSize]="50"></dxo-paging>

                          <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                          <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
                          <dxi-column dataField="sipTrnkNme" caption="Trunk" dataType="string"></dxi-column>
                        </dx-data-grid>
                      </div>
                    </mat-expansion-panel>
                  </mat-accordion>
                </div>
              </div>
              <app-escalation-template [group]="form.controls.event" [option]="option.event"></app-escalation-template>
            </div>
            <app-schedule-template [group]="form" [option]="option" [eventId]="eventId" [eventType]="eventType" [isReviewer]="(profile == 'Reviewer' && editMode) ? true : false"></app-schedule-template>
            <br />
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-8">Workflow Status: </label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                  <dx-select-box [items]="workflowStatusList"
                                 displayExpr="wrkflwStusDes"
                                 valueExpr="wrkflwStusId"
                                 formControlName="workflowStatus"></dx-select-box>
                </div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <app-reviewer-template *ngIf="isReviewer && isRevActTask" [group]="form.controls.reviewer"
                               [option]="option.reviewer" [isSubmitted]="isSubmitted"></app-reviewer-template>
        <app-event-history-template *ngIf="isActivator || isReviewer" [id]="eventId" [accordion]="true"></app-event-history-template>
        <app-activators-template *ngIf="isActivator && isRevActTask && editMode"
                                 [group]="form.controls.activators" [option]="option.activator"
                                 [eventTypeId]="eventType" [isSubmitted]="isSubmitted">
        </app-activators-template>
        <br />
        <div class="form-row text mt-2">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <!--<div class="form-group form-group-sm col-12 col-md-6 col-lg-4" *ngIf="!isLocked && allowEdit">
        <div *ngIf="editMode; then saveTemplate; else editTemplate;"></div>
        <ng-template #editTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="submit()" [disabled]="form.invalid">
            Save
          </button>
        </ng-template>
      </div>-->
        </div>
      </form>
    </div>
      </div>
    </div>
